app-view-product {
  padding: 10px;
}

#picture {
  height: 20vw;
  width: auto;
  display: block;
  margin-left: auto;
  margin-right: auto;
}

h1 {
  text-align: center;
}

#body {
  display: flex;
  flex-direction: column;
  padding: 2em;
}

#produit {
  display: flex;
  flex-direction: row;
}

#description {
  padding: 2em;
  display: flex;
  flex-direction: column;
  margin-bottom: 2em;
}

#priceAndApp {
  display: flex;
  flex-direction: row;
  justify-content: space-around;
  align-items: center;
  align-content: center;
}

#price {
  display: flex;
  flex-direction: column;
  min-width: 200px;
  align-items: center;
  align-content: center;
}

#pprice {
  font-size: 2em;
  text-align: center;
}

#app {
  max-width: 20vh;
  min-width: 200px;
  align-items: center;
  align-content: center;
}

#qrcode {
  max-height: 80%;
  width: auto;
  min-width: 200px;
  align-items: center;
  align-content: center;
}

#promotions {
  width: 100%;
  min-width: 20vw;
  display: flex;
  flex-direction: column;
  justify-content: start;
}

#offres, #offresList {
  border: solid 2px black;
  text-align: center;
  width: 100%;
}

#offresList {
  height: 100%;
  overflow: auto;
}

#googlePlay {
  height: 5vw;
  width: auto;
}

#qrcode img {
  height: 10vw;
  width: auto;
}

@media only screen and (max-width: 500px) {
  #produit {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
  }

  #priceAndApp {
    flex-wrap: wrap;
  }

  #app, #qrcode {
    display: none;
  }

}
